<?php
# Get Other Templates 
/*-----------------------------*/
function engross_include($template){
	get_template_part ( get_template_directory() . '/inc/'.$template.'.php' );
}
#Changing excerpt more
   function engross_excerpt_more($more) {
   global $post;
   return '... <a class="read-article" href="'. get_permalink($post->ID) . '">' .  __('Read Article', 'engross').' &#8594;' . '</a>';
   }
   add_filter('excerpt_more', 'engross_excerpt_more');



#Excerpt Length
function engross_excerpt_length( $length ) {
	return 32;
}
add_filter( 'excerpt_length', 'engross_excerpt_length', 999 );

# Site Title
	function engross_wp_title( $title, $sep ) {
	        if ( is_feed() )
	                return $title;
	        $title .= get_bloginfo( 'name' );
	        $site_description = get_bloginfo( 'description', 'display' );
	        if ( $site_description && ( is_home() || is_front_page() ) )
	                $title = "$title $sep $site_description";
	        return $title;
	}
	add_filter( 'wp_title', 'engross_wp_title', 10, 2 );
	
	# No Title
	function engross_the_title ( $title ) {
	
	        if ( in_the_loop() && ! is_page() ) {
	                if ( ! $title )
	                        $title = __( 'Untitled', 'engross' );
	        }
	        return $title;
	
	}
	add_filter( 'the_title', 'engross_the_title' );


# Comments Function (Do not Edit)  
/*-------------------------- */
if ( ! function_exists( 'engross_comment' ) ) :

function engross_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;

	if ( 'pingback' == $comment->comment_type || 'trackback' == $comment->comment_type ) : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class(); ?>>
		<div class="comment-body">
			<?php _e( 'Pingback:', 'engross' ); ?> <?php comment_author_link(); ?> <?php edit_comment_link( __( 'Edit', 'engross' ), '<span class="edit-link">', '</span>' ); ?>
		</div>

	<?php else : ?>
	<li id="comment-<?php comment_ID(); ?>" <?php comment_class( empty( $args['has_children'] ) ? '' : 'parent' ); ?>>
		
			<div class="comment-meta">
				<figure class="comment-avatar">
    	            <?php echo get_avatar( $comment, 48 ); ?>
                </figure>	
				
				<div class="comment-metadata">
				    <?php comment_author_link(); ?>
                    <span class="datetime"><?php comment_date('F j, Y'); ?></span>					
					<?php edit_comment_link( __( 'Edit', 'engross' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .comment-metadata -->

				<?php if ( '0' == $comment->comment_approved ) : ?>
       				<p class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'engross' ); ?></p>
				<?php endif; ?>
		        <div class="comment-content">
				    <?php comment_text(); ?>
			    </div><!-- .comment-content ends -->
                 
				<div class="reply">
				    <?php comment_reply_link( array_merge( $args, array( 'add_below' => 'div-comment', 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			    </div><!-- .reply --> 
            </div><!-- .comment-meta ends-->
		<!-- .comment-body -->
	<?php
	endif;
}
endif; // ends check for engross_comment()

# Queue Comments Reply
/*-------------------------*/
function engross_comments_queue_js(){
if ( (!is_admin()) && is_singular() && comments_open() )
  wp_enqueue_script( 'comment-reply' );
}
add_action('wp_enqueue_scripts', 'engross_comments_queue_js');


# Theme Scripts
/*-------------------------*/
function engross_scripts() {
   wp_enqueue_style( 'style', get_stylesheet_uri() ); 
	wp_enqueue_script( 'engross-common-scripts', get_template_directory_uri() . '/js/common-scripts.js', array( 'jquery' ) );
	    wp_register_style('googleFonts1', 'http://fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,400italic,700italic');
    wp_enqueue_style( 'googleFonts1');
	
	}
add_action( 'wp_enqueue_scripts', 'engross_scripts' );

# Add Admin stylesheet to the admin page
 
    function engross_add_stylesheet_to_admin() {
	wp_register_style('engross-adminstyle', get_template_directory_uri() . '/css/style-admin.css' );
        wp_enqueue_style( 'engross-adminstyle' );
    }

add_action( 'admin_enqueue_scripts', 'engross_add_stylesheet_to_admin' );
?>